- Developers
- API Reference
- Audits
Audit Issues
Get issues for a specific audit sorted by severity
GET
https://app.ranked.ai/api/v1/projects/{projectId}/audits/{auditId}/issuesReturns audit issues sorted by severity (critical, warning, notice) then by affected count.
Path parameters
projectIdstringrequiredProject UUID
auditIdstringrequiredAudit task UUID
Query parameters
limitnumberdefault: 50Max issues to return
offsetnumberdefault: 0Number to skip
severitystringFilter:
critical, warning, or noticestatusstringFilter:
passed or failedRequest
curl "https://app.ranked.ai/api/v1/projects/{projectId}/audits/{auditId}/issues?severity=critical" \
-H "Authorization: Bearer rk_live_your_api_key"Response
{
"success": true,
"data": [
{
"id": "a27fd070-0b6f-47bf-8efe-2b130db0111d",
"type": "no_h1_tag",
"severity": "critical",
"title": "Missing H1 Tags",
"description": "Pages without H1 tags",
"affected_count": 3,
"status": "failed",
"created_at": "2026-05-03T21:04:36.6+00:00"
}
],
"meta": {
"pagination": { "total": 11, "limit": 50, "offset": 0, "has_more": false }
}
}This page is also available as markdown for AI agents, and the whole reference as an OpenAPI spec. Questions? Developer support.